# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="View hex of binary files"
HOMEPAGE="https://git.flanchan.moe/flanchan/hexview"
SRC_URI="https://git.flanchan.moe/flanchan/hexview/archive/v${PV}.tar.gz -> hexview-${PV}.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

IUSE="+fixed debug"

src_unpack() {
	default
	mv ${WORKDIR}/hexview{,-${PV}}
}

src_compile() {
	_HX_FEAT=""
	use "fixed" && _HX_FEAT+="-DFIXED_ROW_SIZE=24 "
	use "debug" && _HX_FEAT+="-DDEBUG "

	_HX_FEAT="${_HX_FEAT}" default
}

src_install() {
	dobin hexview
}
