# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="automatic copy-on-write memory slices"
HOMEPAGE="https://git.flanchan.moe/flanchan/libcow"
SRC_URI="https://git.flanchan.moe/flanchan/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

IUSE="debug"

src_unpack() {
	default
	mv ${PN}{,-${PV}}
}

src_compile() {
	if use debug; then
		CFLAGS=""
		CXXFLAGS=""
		LDFLAGS="-Wl,-soname,${PN}.so.$(ver_cut 1)"
	fi
	TARGET_SPEC_FLAGS=$(usex debug yes no) emake STRIP=: $(usev debug)
	use debug && ( mv -f ${PN}{-debug,}.so &&
					mv -f ${PN}.so{,.${PV}} &&
					mv -f ${PN}{-debug,}.a || die "failed to move debug targets into place")
}

src_install() {
	dolib.a ${PN}.a
	dolib.so ${PN}.so.${PV}
	dosym ${PN}.so.${PV} /usr/$(get_libdir)/${PN}.so.$(ver_cut 1)
	dosym ${PN}.so.$(ver_cut 1) /usr/$(get_libdir)/${PN}.so
	cd include && doheader -r .
}
